
From: Kim Holviala <kim@holviala.com>

This patch fixes hotplugging of PS/2 devices on hardware which don't
support hotplugging of PS/2 devices.  In other words, most desktop
machines.


---

 25-akpm/drivers/input/mouse/psmouse-base.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/mouse/psmouse-base.c~psmouse-fix-mouse-hotplugging drivers/input/mouse/psmouse-base.c
--- 25/drivers/input/mouse/psmouse-base.c~psmouse-fix-mouse-hotplugging	2004-05-08 13:13:40.636484424 -0700
+++ 25-akpm/drivers/input/mouse/psmouse-base.c	2004-05-08 13:13:40.640483816 -0700
@@ -470,7 +470,7 @@ static int psmouse_probe(struct psmouse 
  * Then we reset and disable the mouse so that it doesn't generate events.
  */
 
-	if (psmouse_command(psmouse, NULL, PSMOUSE_CMD_RESET_DIS))
+	if (psmouse_reset(psmouse))
 		printk(KERN_WARNING "psmouse.c: Failed to reset mouse on %s\n", psmouse->serio->phys);
 
 /*

_
